Subject: Re: [PATCH v2] stash: implement '--staged' option for 'push' and 'save'

From: Junio C Hamano <[email-masked]>
Date: Fri, 15 Oct 2021 12:22:30 -0700

Sergey Organov <[email-masked]> writes:

>> but
>> unlike the "stash -p" that goes interactive to let the user pick
>> hunks, in which context "oh, no, you did not SELECT anything" makes
>> perfect sense as an error message, this message would be confusing
>> to users who weren't offered a chance to select.
>
> It seems to me that it makes sense to leave this warning as is, in case
> the user invoked "stash --staged" without anything staged. I'm OK to
> change this if you have something better in mind.

I am not questioning the presense of the warning.  It is just the
phrasing of the warning---"You have nothing staged" would make a
good message, but "You didn't select anything", when we do not offer
them a chance to select in the first place, would not work well.